## kde-workspace 4.8.4

=== CMakeLists.txt ===
project(KDEBASE_WORKSPACE)

# Used e.g. in KDE4WorkspaceConfig.cmake, Alex
set(KDE4WORKSPACE_VERSION_MAJOR 4)
set(KDE4WORKSPACE_VERSION_MINOR 8)
set(KDE4WORKSPACE_VERSION_PATCH 4)
set(KDE4WORKSPACE_VERSION ${KDE4WORKSPACE_VERSION_MAJOR}.${KDE4WORKSPACE_VERSION_MINOR}.${KDE4WORKSPACE_VERSION_PATCH} )


# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

#search packages used by KDE
set(QT_MIN_VERSION "4.7.0")
set(KDE_MIN_VERSION "4.8.4")
set(SOPRANO_MIN_VERSION "2.5.63")

OPTION(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)

find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(Strigi REQUIRED)
find_package(ZLIB REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)
find_package(DBusMenuQt 0.6.0 REQUIRED)
find_package(QImageBlitz REQUIRED)
macro_optional_find_package(OpenGL)
macro_optional_find_package(OpenGLES)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "useful for automated testing of X clients.")
  endif(NOT X11_XTest_FOUND)
  if(NOT X11_Xau_FOUND)
    macro_log_feature(X11_Xau_FOUND "libXau" "X11 Authorization Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xau_FOUND)
  if(NOT X11_Xdmcp_FOUND)
    macro_log_feature(X11_Xdmcp_FOUND "libXdmcp" "X Display Manager Control Protocol library" "http://xorg.freedesktop.org" FALSE "" "Needed by KDM.")
  endif(NOT X11_Xdmcp_FOUND)
  # Other X11 libraries that are used unconditionally elsewhere
  # without testing if they are found. With these log messages
  # you get a nice complaint about missing required packages
  # before the CMake error list of unused variables.
  if(NOT X11_Xkbfile_FOUND)
    macro_log_feature(X11_Xkbfile_FOUND "libXkbfile" "X11 keyboard layout library" "http://xorg.freedesktop.org" TRUE "" "Needed for keyboard modules.")
  endif(NOT X11_Xkbfile_FOUND)
  if(NOT X11_Xcomposite_FOUND)
    macro_log_feature(X11_Xcomposite_FOUND "libXcomposite" "X11 composite library" "http://xorg.freedesktop.org" TRUE "" "Needed for plasma tray and notifications.")
  endif(NOT X11_Xcomposite_FOUND)
  if(NOT X11_Xdamage_FOUND)
    macro_log_feature(X11_Xdamage_FOUND "libXdamage" "X11 damaged region extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Compositing support in KWin.")
  endif(NOT X11_Xdamage_FOUND)
  if(NOT X11_Xrender_FOUND)
    macro_log_feature(X11_Xrender_FOUND "libXrender" "X Rendering Extension client library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xrender_FOUND)
  if(NOT X11_Xfixes_FOUND)
    macro_log_feature(X11_Xfixes_FOUND "libXfixes" "X11 miscellaneous 'fixes' extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for XRender Compositing backend in KWin.")
  endif(NOT X11_Xfixes_FOUND)
  if(NOT X11_Xrandr_FOUND)
    macro_log_feature(X11_Xrandr_FOUND "libXrandr" "X11 RandR extension library" "http://xorg.freedesktop.org" TRUE "" "Needed for Multi Screen Support.")
  endif(NOT X11_Xrandr_FOUND)
  if(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
    macro_log_feature(OPENGL_FOUND "OpenGL" "OpenGL" "http://www.opengl.org/" FALSE "" "Needed to build OpenGL Compositing backend in KWin")
    macro_log_feature(OPENGLES_FOUND "OpenGL ES" "OpenGL ES 2.0" "http://www.khronos.org/opengles/" FALSE "" "Needed to build OpenGL ES 2.0 Compositing backend in KWin")
    set(OPENGL_OR_ES_FOUND FALSE)
    macro_log_feature(OPENGL_OR_ES_FOUND "OpenGL (ES)" "OpenGL (ES)" "http://mesa3d.org/" TRUE "" "Either OpenGL or OpenGL ES 2.0 are required for Compositing support in KWin.")
  endif(NOT OPENGL_FOUND AND NOT OPENGLES_FOUND)
endif(Q_WS_X11)

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "glib2" "Low-level core library for data structure handling, portability wrappers, etc." "http://www.gtk.org" FALSE "2.x" "Needed to build the kxkb keyboard map control program and provide XMMS support in the Now Playing Plasma data engine")

macro_optional_find_package(Fontconfig)

macro_optional_find_package(Googlegadgets)
macro_log_feature(GOOGLEGADGETS_FOUND "GoogleGadgets" "Google Gadgets library" "http://code.google.com/p/google-gadgets-for-linux/" FALSE "0.11.0" "Needed to build plasma scriptengine for google gadgets")

#### Python support ####
macro_optional_find_package(PythonLibrary)

macro_optional_find_package(SIP)
if(SIP_FOUND AND SIP_VERSION STRLESS "040701")
  message(STATUS "The version of SIP found is too old. 4.7.1 or later is needed.")
  set(SIP_FOUND)
endif(SIP_FOUND AND SIP_VERSION STRLESS "040701")

include(SIPMacros)

macro_optional_find_package(PyQt4)
if(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")
  message(STATUS "The version of PyQt found is too old. 4.4.0 or later is required.")
  set(PYQT4_FOUND)
endif(PYQT4_FOUND AND PYQT4_VERSION STRLESS "040400")

macro_optional_find_package(PyKDE4)
set(PythonSupport_FOUND TRUE)

#### End Python support ####

include(MacroLibrary)
include(KDE4Defaults)

macro_optional_find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdelibs" FALSE "" "Required to build Nepomuk features.")
macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "www.boost.org" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, RSS, Calendar)")
macro_optional_find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "An extensible cross-desktop storage service for PIM data" "http://pim.kde.org/akonadi" FALSE "" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")
macro_optional_find_package(KdepimLibs 4.5.60)
macro_log_feature(KdepimLibs_FOUND "KDE PIM Libs" "KDE Libraries for PIM" "http://pim.kde.org/" FALSE "4.5.60" "Required to build certain Plasma DataEngines (Akonadi, Calendar)")


include(ConfigureChecks.cmake)
if(NOT WIN32)
  configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
  configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )
  if(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(EXPORT_XCURSOR_PATH "XCURSOR_PATH=${CMAKE_INSTALL_PREFIX}/share/icons:$XCURSOR_PATH\":~/.icons:/usr/share/icons:/usr/share/pixmaps:/usr/X11R6/lib/X11/icons\"; export XCURSOR_PATH")
  endif(NOT CMAKE_INSTALL_PREFIX STREQUAL "/usr")
  configure_file(startkde.cmake ${CMAKE_CURRENT_BINARY_DIR}/startkde  @ONLY)
endif(NOT WIN32)
configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h )

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DHAVE_CONFIG_H=1)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/libs)

add_definitions(-DDISABLE_NEPOMUK_LEGACY)

# libs
add_subdirectory(cmake)
add_subdirectory(libs)

# system settings (kcontrol replacement)
if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory( systemsettings )
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

# core apps
if(NOT WIN32)
   macro_optional_add_subdirectory( kcheckpass )
   macro_optional_add_subdirectory( kwin )
   macro_optional_add_subdirectory( ksmserver )
   macro_optional_add_subdirectory( ksplash )
   macro_optional_add_subdirectory( powerdevil )
   macro_optional_add_subdirectory( qguiplatformplugin_kde )
   macro_optional_add_subdirectory( ksysguard )
endif(NOT WIN32)

if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
   macro_optional_add_subdirectory(kcontrol)
   macro_optional_add_subdirectory(klipper)
   macro_optional_add_subdirectory(kmenuedit)
   macro_optional_add_subdirectory(krunner)
   macro_optional_add_subdirectory(solid)
   macro_optional_add_subdirectory(kstartupconfig)
   macro_optional_add_subdirectory(freespacenotifier)

   # data
   macro_optional_add_subdirectory(doc)

   if (Q_WS_X11)
      macro_optional_add_subdirectory(kinfocenter)
   endif (Q_WS_X11)

   if(NOT WIN32)
      macro_optional_add_subdirectory(kscreensaver)
      macro_optional_add_subdirectory(kcminit)
      macro_optional_add_subdirectory(khotkeys)
      macro_optional_add_subdirectory(kwrited)
      macro_optional_add_subdirectory(ksystraycmd)
      # data
      macro_optional_add_subdirectory(cursors)
   endif(NOT WIN32)

   if(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      add_subdirectory( kdm )
   else(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
      message(STATUS "Xau lib or Xdmcp lib was missing. kdm will not compile")
   endif(X11_Xau_FOUND AND X11_Xdmcp_FOUND)
endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")

macro_optional_add_subdirectory(plasma)
macro_optional_add_subdirectory(statusnotifierwatcher)
macro_optional_add_subdirectory(kstyles)

########### install files ###############
if(NOT WIN32)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/startkde DESTINATION ${BIN_INSTALL_DIR})
endif(NOT WIN32)

macro_display_feature_log()

# make the libraries installed from kdebase/workspace available to other projects
# by creating and installing a KDE4WorkspaceConfig.cmake file, which will
# be searched and found by kdelibs/cmake/modules/FindKDE4Workspace.cmake. Alex

# now create the KDE4WorkspaceConfig.cmake file, which will be loaded by 
# kdelibs/cmake/modules/FindKDE4Workspace.cmake and which has to contain all information
# about the libraries installed from kdebase/workspace/libs/ anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${KDE4WORKSPACE_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)

make_install_path_absolute(KDE4WORKSPACE_LIB_DIR     ${LIB_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LIBEXEC_DIR ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_BIN_DIR     ${BIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SBIN_DIR    ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DATA_DIR    ${DATA_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_HTML_DIR    ${HTML_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_CONFIG_DIR  ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_ICON_DIR    ${ICON_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCFG_DIR    ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_LOCALE_DIR  ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MIME_DIR    ${MIME_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SOUND_DIR   ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_TEMPLATES_DIR    ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_WALLPAPER_DIR    ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_AUTOSTART_DIR    ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_SYSCONF_DIR ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_MAN_DIR     ${MAN_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_INFO_DIR    ${INFO_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDE4WORKSPACE_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})

=== kcontrol/randr/CMakeLists.txt ===

if( XRANDR_1_2_FOUND )
    macro_optional_add_subdirectory(module)
endif( XRANDR_1_2_FOUND )

configure_file (config-randr.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config-randr.h )

include_directories( ${X11_Xrandr_INCLUDE_PATH}  )

########### next target ###############


set(randrinternal_PART_SRCS 
   ktimerdialog.cpp
   randr.cpp 
   randrdisplay.cpp
   collapsiblewidget.cpp
   legacyrandrscreen.cpp) 

if( XRANDR_1_2_FOUND )
   set(randrinternal_PART_SRCS ${randrinternal_PART_SRCS} layoutmanager.cpp 
       outputconfig.cpp outputgraphicsitem.cpp randrconfig.cpp randrcrtc.cpp 
       randrmode.cpp randroutput.cpp randrscreen.cpp)
endif( XRANDR_1_2_FOUND )

set(kcm_randr_PART_SRCS 
   krandrmodule.cpp 
   legacyrandrconfig.cpp
   ${randrinternal_PART_SRCS})

kde4_add_ui_files(kcm_randr_PART_SRCS
   legacyrandrconfigbase.ui
   randrconfigbase.ui
   outputconfigbase.ui)


kde4_add_plugin(kcm_randr ${kcm_randr_PART_SRCS})


target_link_libraries(kcm_randr  ${KDE4_KDEUI_LIBS} ${X11_Xrandr_LIB} ${X11_LIBRARIES})

install(TARGETS kcm_randr  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############

set(krandrtray_SRCS 
   main.cpp 
   krandrtray.cpp 
   krandrapp.cpp 
   krandrpassivepopup.cpp ${randrinternal_PART_SRCS})


kde4_add_executable(krandrtray ${krandrtray_SRCS})

target_link_libraries(krandrtray ${KDE4_KCMUTILS_LIBS} ${X11_Xrandr_LIB} ${X11_LIBRARIES})

install(TARGETS krandrtray ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

install(PROGRAMS krandrstartup DESTINATION ${BIN_INSTALL_DIR})


########### install files ###############

install( PROGRAMS krandrtray.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES randr.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== ksmserver/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${QIMAGEBLITZ_INCLUDES} )

set(testsh_SRCS
    test.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../shutdowndlg.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../logouteffect.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../curtaineffect.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../fadeeffect.cpp)

kde4_add_executable(testsh TEST ${testsh_SRCS})

target_link_libraries(testsh ${KDE4_PLASMA_LIBS} solidcontrol kworkspace ${KDE4_KDEUI_LIBS}
                             ${KDE4_SOLID_LIBRARY} ${QIMAGEBLITZ_LIBRARIES} ${X11_X11_LIB})

=== ksplash/ksplashqml/CMakeLists.txt ===
project(ksplashqml)

add_subdirectory(themes)

set(ksplashqml_SRCS
    main.cpp
    SplashApp.cpp
    SplashWindow.cpp
   )

add_executable(ksplashqml ${ksplashqml_SRCS})

target_link_libraries(ksplashqml
   ${X11_LIBRARIES}
   ${QT_QTCORE_LIBRARY}
   ${QT_QTDECLARATIVE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   )

install(TARGETS ksplashqml ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kwin/clients/oxygen/CMakeLists.txt ===
########### add version number into compilation defines
add_definitions ( -DAPP_VERSION=\\\"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\\\")
add_subdirectory( config )
add_subdirectory( demo )

include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/oxygen)

########### next target ###############
set(kwin_oxygen_SRCS
     oxygenbutton.cpp
     oxygenclient.cpp
     oxygenclientgroupitemdata.cpp
     oxygenconfiguration.cpp
     oxygendecohelper.cpp
     oxygenexception.cpp
     oxygenexceptionlist.cpp
     oxygenfactory.cpp
     oxygensizegrip.cpp
     oxygentitleanimationdata.cpp
  )

kde4_add_plugin(kwin3_oxygen ${kwin_oxygen_SRCS})
target_link_libraries(
    kwin3_oxygen
    ${KDE4_KDEUI_LIBS}
    ${X11_X11_LIB}
    ${X11_Xrender_LIB}
    kdecorations
    oxygenstyle
  )

install(TARGETS kwin3_oxygen  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############
install( FILES oxygenclient.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== kwin/effects/coverswitch/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    coverswitch/coverswitch.cpp
    )

# .desktop files
install( FILES
    coverswitch/coverswitch.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

install( FILES
    coverswitch/coverswitch-reflection.glsl
    DESTINATION ${DATA_INSTALL_DIR}/kwin )


#######################################
# Config

# Source files
set( kwin4_effect_builtins_config_sources ${kwin4_effect_builtins_config_sources}
    coverswitch/coverswitch_config.cpp
    coverswitch/coverswitch_config.ui
    )

# .desktop files
install( FILES
    coverswitch/coverswitch_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

=== kwin/effects/cube/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    cube/cube.cpp
    cube/cube_proxy.cpp
    cube/cubeslide.cpp
    )

# .desktop files
install( FILES
    cube/cube.desktop
    cube/cubeslide.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

# Data files
install( FILES
    cube/data/cube-cap.glsl
    cube/data/cube-reflection.glsl
    cube/data/cubecap.png
    cube/data/cylinder.frag
    cube/data/cylinder.vert
    cube/data/sphere.vert
    DESTINATION ${DATA_INSTALL_DIR}/kwin )

#######################################
# Config

# Source files
set( kwin4_effect_builtins_config_sources ${kwin4_effect_builtins_config_sources}
    cube/cube_config.cpp
    cube/cube_config.ui
    cube/cubeslide_config.cpp
    cube/cubeslide_config.ui
    )

# .desktop files
install( FILES
    cube/cube_config.desktop
    cube/cubeslide_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

=== kwin/effects/flipswitch/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    flipswitch/flipswitch.cpp
    )

# .desktop files
install( FILES
    flipswitch/flipswitch.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

#######################################
# Config

# Source files
set( kwin4_effect_builtins_config_sources ${kwin4_effect_builtins_config_sources}
    flipswitch/flipswitch_config.cpp
    flipswitch/flipswitch_config.ui
    )

# .desktop files
install( FILES
    flipswitch/flipswitch_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

=== kwin/effects/invert/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    invert/invert.cpp
    )

# .desktop files
install( FILES
    invert/invert.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

# Data files
install( FILES
    invert/data/invert.frag
    DESTINATION ${DATA_INSTALL_DIR}/kwin )

#######################################
# Config

# Source files
set( kwin4_effect_builtins_config_sources ${kwin4_effect_builtins_config_sources}
    invert/invert_config.cpp
    )

# .desktop files
install( FILES
    invert/invert_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

=== kwin/effects/lookingglass/CMakeLists.txt ===
#######################################
# Effect

# Source files
set( kwin4_effect_builtins_sources ${kwin4_effect_builtins_sources}
    lookingglass/lookingglass.cpp
    )

# .desktop files
install( FILES
    lookingglass/lookingglass.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

# Data files
install( FILES
    lookingglass/data/lookingglass.frag
    DESTINATION ${DATA_INSTALL_DIR}/kwin )

#######################################
# Config

# Source files
set( kwin4_effect_builtins_config_sources ${kwin4_effect_builtins_config_sources}
    lookingglass/lookingglass_config.cpp
    lookingglass/lookingglass_config.ui
    )

# .desktop files
install( FILES
    lookingglass/lookingglass_config.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}/kwin )

=== kwin/kcmkwin/kwinrules/CMakeLists.txt ===
ADD_DEFINITIONS(-DKCMRULES)
########### next target ###############

set (kwinrules_MOC_HDRS yesnobox.h)
qt4_wrap_cpp(kwinrules_MOC_SRCS ${kwinrules_MOC_HDRS})
set(kwinrules_SRCS ruleswidget.cpp ruleslist.cpp kwinsrc.cpp detectwidget.cpp ${kwinrules_MOC_SRCS})

kde4_add_ui_files(kwinrules_SRCS ruleslist.ui detectwidget.ui editshortcut.ui ruleswidgetbase.ui)

set(kwin_rules_dialog_KDEINIT_SRCS main.cpp ${kwinrules_SRCS})


kde4_add_kdeinit_executable( kwin_rules_dialog ${kwin_rules_dialog_KDEINIT_SRCS})

target_link_libraries(kdeinit_kwin_rules_dialog ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${X11_LIBRARIES})

install(TARGETS kdeinit_kwin_rules_dialog ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS kwin_rules_dialog         DESTINATION ${LIBEXEC_INSTALL_DIR} )

########### next target ###############

set(kcm_kwinrules_PART_SRCS kcm.cpp ${kwinrules_SRCS})


kde4_add_plugin(kcm_kwinrules ${kcm_kwinrules_PART_SRCS})

target_link_libraries(kcm_kwinrules ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${X11_LIBRARIES})

install(TARGETS kcm_kwinrules  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### next target ###############


########### install files ###############

install( FILES kwinrules.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== plasma/generic/dataengines/CMakeLists.txt ===
add_subdirectory(applicationjobs)
add_subdirectory(activities)
add_subdirectory(apps)
add_subdirectory(devicenotifications)
add_subdirectory(dict)
add_subdirectory(executable)
add_subdirectory(favicons)
add_subdirectory(filebrowser)
add_subdirectory(geolocation)
add_subdirectory(hotplug)
add_subdirectory(keystate)
add_subdirectory(network)
add_subdirectory(notifications)
add_subdirectory(nowplaying)
add_subdirectory(places)
add_subdirectory(powermanagement)
add_subdirectory(soliddevice)
add_subdirectory(time)
add_subdirectory(weather)
add_subdirectory(statusnotifieritem)
add_subdirectory(share)

if (NEPOMUK_FOUND)
    add_subdirectory(metadata)
endif (NEPOMUK_FOUND)

if(Boost_FOUND AND KDEPIMLIBS_FOUND)
   if(AKONADI_FOUND)
      add_subdirectory(akonadi)
   endif(AKONADI_FOUND)
   add_subdirectory(calendar)
   add_subdirectory(rss)
endif(Boost_FOUND AND KDEPIMLIBS_FOUND)

if(NOT WIN32)
   add_subdirectory(mouse)
   add_subdirectory(systemmonitor)
   if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
      add_subdirectory(tasks)
   endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
endif(NOT WIN32)

=== debian/changelog ===
kde-workspace (4:4.8.4-6) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Remove plasma-scriptengine-googlegadgets, it's unmaintaned, buggy, and the
    few widgets which would work have good replacements in plasma.
    (Closes: #664225)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Breaks+Replaces to kde-style-oxygen against kdebase-runtime << 4:4.7.2
    (Closes: #697668).
  * Confirm symbols files:
    - From buildds' logs.
    - Using the current build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Jan 2013 13:12:08 -0300

kde-workspace (4:4.8.4-5) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove "New upstream release" from the previous changelog entry
    (Closes: #691302). Thanks Filipus Klutiero.
  * sessreg was merged in kdm (Closes: #692730):
    - Drop the use-sessreg option in kdm.options and its man page, as it is
      no longer needed.
    - Do not set UseSessReg to false in debian/patches/kdmrc_defaults.diff.
      The bug it solved has dissapeared during the merge.
    Thanks Wolfgang Schweer and Petter Reinholdtsen for digging into this.

  [ Pino Toscano ]
  * Backport upstream commit 89161c40e064958aa192b2202670316671d7e377 to fix
    the "demand" status of windows in the taskbar widget; patch
    upstream_Check-if-attention-demanding-status-has-changed-when.patch.
    (Closes: #685334)
  * Backport upstream commits d0343319fcfc249a38c79171be727d7133984eeb and
    53f6eca921a44a1f5e567b92d45ea84599afea74 to make powermanagementprofilesrc
    read as cascading config, and 9994e178b790b03a464c335e624366f82f0da643 for
    kwinrc.
  * Backport upstream commit 5b35757fc3613a18e2d784af53d1d23ebe295028 to
    improve the sorting of init .js files (followup of the changes backported
    in 4:4.8.4-3 with upstream_make-sure-scripts-are-executed-sorted.patch);
    patch upstream_Make-sure-the-plasma-desktop-scripts-are-sorted-in-t.patch.
  * Backport upstream commit 70cd86a5eef103137e64f2e3868a5bd2d58d71d7 to fix
    the deletion of launchers of preferred applications; patch
    upstream_Fix-deletion-of-preferred-application-launchers.patch.
    (Closes: #686131)
  * Make kde-workspace-bin ship a /etc/kde4 directory. (Closes: #694253)
  * Make kde-workspace-bin explicitly depend on qdbus, used by startkde.

  [ Debconf translation updates ]
  * Fix encoding of Polish (thanks to David Prévot). (Closes: #691953)
  * Fix encoding of Spanish (thanks to Camaleón). (Closes: #692209)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Dec 2012 18:26:16 -0300

kde-workspace (4:4.8.4-4) unstable; urgency=low

  * The package (re)building switches to XZ compression. (Closes: #688761)

  [ Pino Toscano ]
  * Add breaks/replaces in kde-window-manager against kdebase-workspace-data
    << 4.7.2. (Closes: #684972)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols from buildds' logs.
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Oct 2012 11:07:11 -0300

kde-workspace (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Fix build failure on Hurd; patch hurd.diff.
  * Remove a couple of double spaces in control.
  * Backport upstream commit b798928ac8b9c6acf804b5cd4101d8a2a860654a to sort
    the plasma-desktop init .js scripts;
    patch upstream_make-sure-scripts-are-executed-sorted.patch.
  * Improve the description of libkwinglutils1. (Closes: #678416)
  * Rewrite the description of liblsofui4. (Closes: #592553)
  * Backport upstream commit da6e2b49fd2a30aca167ae37ef3e3fd1c7d3bc58 to fix
    XDMCP login in kdm; patch
    upstream_centralize-interaction-notification-handling.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Jun 2012 22:26:42 -0300

kde-workspace (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Set strict shlibs for kde-style-oxygen, since the oxygenstyle library
    inside has no concept of binary compatibility.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 13:39:04 +0300

kde-workspace (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
    - fixes krunner crash. (Closes: #675888)
  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Add process_table_unclickable.diff. 
  * Add new_beams_custom_plots.diff.
  * Refresh patches to make them apply without any offset.
  * Confirm symbols files on more architectures with the 4.8.3 build logs.
  * Set plasma-scriptengine-googlegadgets priority to 'optional'. This fixes the
  * Move various documentation files about windows behaviour from
    kde-workspace-data to kde-window-manager.
  * Add new files to install for 4.8.4.
  * Set plasma-scriptengine-googlegadgets priority to 'extra'. This fixes the
    following lintian warning:
    - package-depends-on-lower-priority-package plasma-scriptengines:optional
      depends on plasma-scriptengine-googlegadgets:extra

  [ Modestas Vainius ]
  * Relax kde-workspace dependency on kdelibs so we can build with kde4libs
    4.8.3 (patch relax_kdelibs_dependency.diff).

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 18:09:56 +0300

kde-workspace (4:4.8.3-2) experimental; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Add watch file.
  * Add nlist_ftbfs_krefreebsd.diff, avoids FTBFS'es on kfreebsd.
  * Add version for libpng build depend, now it's libpng12-dev (<< 1.5), this
    avoids building this package against the libpng packages from experimental.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 18:03:41 +0300

kde-workspace (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes the incorrect behaviour when "show minimized windows only" option
      is used in plasma-settings. (Closes: #523862)
    - fixes the disappearing hotkey of klipper. (Closes: #651549)
  * Team upload.

  [ Eshat Cakar ]


=== debian/control ===
Source: kde-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>, 
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>, 
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 libdlrestrictions-dev (>= 0.14), kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8),
 libkactivities-dev, libstrigiqtdbusclient-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3),
 libqimageblitz-dev (>= 1:0.0.4-2),
 zlib1g-dev,
 libdbusmenu-qt-dev (>= 0.6.0),
 libfontconfig-dev,
 libglu1-mesa-dev, libqt4-opengl-dev,
 python-dev (>= 2.6.6-3~),
 shared-desktop-ontologies (>= 0.8),
 libpam0g-dev,
 libnm-util-dev (>= 0.9) [linux-any],
 network-manager-dev (>= 0.9) [linux-any],
 libraw1394-dev [linux-any],
 libusb-dev, libpci-dev,
 libakonadi-dev (>= 1.1.95), libboost-dev,
 libgps-dev (>= 2.90),
 libck-connector-dev, libdbus-1-dev,
 libsensors4-dev [linux-any],
 libdevstat-dev [kfreebsd-any],
 libxkbfile-dev, libxrandr-dev, libxrender-dev, libxcomposite-dev, libxdamage-dev,
 libxfixes-dev, libxft-dev, libxtst-dev, libxss-dev, libsm-dev, libxinerama-dev, libxi-dev,
 libpng12-dev (<< 1.5), libjpeg-dev, libxcursor-dev,
 libqalculate-dev, libglib2.0-dev,
 libqtwebkit-dev,
 libprison-dev
Build-Conflicts: libgles2-mesa-dev
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-workspace.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-workspace.git

Package: kde-workspace
Architecture: all
Depends: kde-workspace-bin (>= ${source:Version}), ${misc:Depends},
 klipper (>= ${source:Version}), ksysguard (>= ${source:Version}), 
 kde-window-manager (>= ${source:Version}), systemsettings (>= ${source:Version}),
 freespacenotifier (>= ${source:Version})
Recommends: kdm (>= ${source:Version}), kinfocenter (>= ${source:Version}),
 kmenuedit (>= ${source:Version})
Breaks: kdebase-workspace (<< 4:4.7.2) 
Replaces: kdebase-workspace (<< 4:4.7.2) 
Description: KDE Plasma Workspace components
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides a basic KDE desktop installation.

Package: kdebase-workspace
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace
Description: transitional package for kde-workspace
 This is a dummy transitional package for kde-workspace and can be safely
 removed after the installation is complete.

Package: plasma-desktop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Replaces: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5)
Breaks: kdebase-workspace-bin (<< 4:4.5), kdebase-workspace-data (<< 4:4.5),
 plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+)
Description: KDE Plasma workspace for desktop and laptop computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of desktop applications, not only applications built on the KDE Platform.
 It integrates best with applications following the standards used by the KDE
 Platform.
 .
 This package is part of the KDE base workspace module.

Package: plasma-netbook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 plasma-widgets-workspace (= ${binary:Version}), kde-wallpapers-default
Recommends: kde-workspace
Description: KDE Plasma workspace for netbook computers
 Provides the environment for running and managing applications and integrating
 interaction of applications. It is designed as generic environment for all
 kinds of applications in a netbook environment, not only applications built on
 the KDE Platform. It integrates best with applications following the standards
 used by the KDE Platform.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes,
 plasma-desktop (= ${binary:Version}) | plasma-netbook (= ${binary:Version}),
 kde-workspace-data (= ${source:Version}), x11-utils, x11-xserver-utils,
 kde-workspace-kgreet-plugins (= ${binary:Version}), qdbus
Recommends: plasma-scriptengines, polkit-kde-1 (>= 0.99) | policykit-1-gnome,
 upower [linux-any]
Suggests: x11-xkb-utils
Replaces: kcontrol, ktip, libkfontinst4, ksplash, kdesktop,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2) 
Breaks: kcontrol, ktip, libkfontinst4, kdesktop, ksplash,
 kdebase-runtime (<< 4:4.5), kdebase-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.7.2),
 polkit-kde-1 (<< 0.99)
Description: core binaries for the KDE Plasma Workspace
 This package contains miscellaneous programs needed for a basic desktop
 installation. Among other standard KDE Workspace components, the package
 provides startkde scripts, ksmserver (the session manager), krunner,
 the default KDE screensavers and many KDE configuration modules. This
 package is essential to start and use KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-bin
Description: transitional package for kde-workspace-bin
 This is a dummy transitional package for kde-workspace-bin and can be safely
 removed after the installation is complete.

Package: kde-workspace-data
Architecture: all
Depends: oxygencursors, ${misc:Depends}, ${perl:Depends}
Replaces: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2) 
Breaks: ksmserver, ktip, ksplash, libplasma1,
 kdebase-runtime-data (<< 4:4.5), kde-icons-mono (<< 4:4.6.80),
 kdebase-workspace-data (<< 4:4.7.2) 
Recommends: kde-wallpapers
Description: shared data files for the KDE Plasma Workspace
 This package contains architecture-independent shared data files needed for a
 basic KDE Workspace installation.
 .
 This package is part of the KDE base workspace module.

Package: kde-workspace-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${allLibraries},
 ${sameVersionDep:kdelibs5-dev:kde-workspace-bin}
Breaks: kdebase-workspace-dev (<< 4:4.7.2) 
Replaces: kdebase-workspace-dev (<< 4:4.7.2) 
Description: development files for the KDE Plasma Workspace
 This package contains development files for building software that uses
 libraries from the KDE Plasma Workspace.
 .
 This package is part of the KDE base workspace module.

Package: kdebase-workspace-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-workspace-dev
Description: transitional package for kde-workspace-dev
 This is a dummy transitional package for kde-workspace-dev and can be safely
 removed after the installation is complete.

Package: plasma-dataengines-workspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ksysguardd (= ${binary:Version})
Description: KDE Plasma data engines
 This package contains standard Plasma data engines shipped in KDE Plasma
 workspace. These engines are needed by the standard KDE base
 workspace Plasma widgets, but they may be useful for any other Plasma widget
 too.
 .
 This package is part of the KDE base workspace module.

Package: plasma-widgets-workspace
Architecture: any
Depends: ${shlibs:Depends}, plasma-dataengines-workspace (= ${binary:Version}), ${misc:Depends}
Provides: notification-daemon
Description: plasma widgets and containments for the KDE Plasma Workspace
 This package contains standard Plasma widgets and containments shipped in the
 KDE base workspace module. They provide such basic desktop functionality as
 the panel, task manager, application laucher, clock and more. The default KDE
 Workspace is a combination of these visual components.
 .
 This package also includes the default animator used by the main KDE Plasma
 Desktop shell.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengines
Architecture: all
Depends: plasma-scriptengine-javascript (>= 4:4.2.95),
# plasma-scriptengine-qedje (>= ${source:Version}),
 plasma-scriptengine-ruby (>= ${source:Version}),
 plasma-scriptengine-python (>= ${source:Version}),
 plasma-scriptengine-webkit (>= ${source:Version}),
 ${misc:Depends}
Recommends: plasma-scriptengine-superkaramba
Suggests: plasma-scriptengine-kimono
Description: metapackage to install all Plasma script engines
 This metapackage depends on all Plasma script engines which kde-workspace
 module provides and suggests script engines from other official KDE modules.
 .
 This package is part of the KDE base workspace module.

#Package: plasma-scriptengine-qedje
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: QEdje script engine for Plasma
# This package provides the Edje script engine for Plasma. You have to install it
# if you want to use Plasma widgets and data engines written in Edje.
# .
# This package is part of the KDE base workspace module.

Package: plasma-scriptengine-ruby
Architecture: all
Depends: ruby-plasma, ${misc:Depends}
Description: Ruby script engine for Plasma
 This package provides the Ruby script engine for Plasma. You have to install it
 if you want to use Plasma widgets and data engines written in Ruby.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= 4:4.6.80), ${misc:Depends},
 python-qt4-dbus
Description: Python script engine for Plasma
 This package provides the Python script engine for Plasma. You have to install
 it if you want to use Plasma widgets and data engines written in Python.
 .
 This package is part of the KDE base workspace module.

Package: plasma-scriptengine-webkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web and Mac OS X dashboard widget support for Plasma
 This package provides the WebKit script engine for Plasma which adds support
 for the webpage widgets written in HTML and JavaScript and for the Apple
 Mac OS X dashboard widgets. You have to install this package if you want to be
 able to load these widgets in your Plasma shell.
 .
 This package is part of the KDE base workspace module.

Package: freespacenotifier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: free space notification module for KDE
 This module notifies the user when /home or one of the other directories
 which you can configure it to monitor are running out of space.
 .
 More technically, this package provides a module for kded, the KDE Daemon.
 .
 This package is part of the KDE base workspace module.

Package: kdm
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0, lsb-base (>= 3.2-14), consolekit, ${misc:Depends},
 kde-workspace-kgreet-plugins (= ${binary:Version}), adduser, kde-wallpapers-default
Recommends: logrotate, xserver-xorg | xserver,
 kde-workspace | x-session-manager | x-window-manager, xterm | x-terminal-emulator
Suggests: kdepasswd, kde-wallpapers
Replaces: kde-kdm-themes, kdmtheme
Breaks: kde-kdm-themes, kdmtheme
Provides: x-display-manager

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kde-workspace-dev
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages) kde-style-oxygen
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

BINARYVERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: //')
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_KDM_PAM_SERVICE=kdm -DKDE4_COMMON_PAM_SERVICE=kdm

override_dh_auto_install:
	$(overridden_command)
	chmod a-x debian/tmp/usr/share/autostart/klipper.desktop

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kde-workspace-dbg

override_dh_makeshlibs:
	$(overridden_command) -pplasma-desktop -Xlibkickoff.so
	$(overridden_command) --remaining-packages -- -c0

override_dh_shlibdeps:
	$(overridden_command) -pkde-workspace-bin -- -xksysguard
	$(overridden_command) -pkde-workspace-dev -- -xkde-runtime
	$(overridden_command) $(foreach p,$(filter lib%,$(shell dh_listpackages -a)),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

# Prevent it from stopping kdm in prerm ever (--no-restart-on-upgrade is not
# enough)
override_dh_installinit:
	$(overridden_command) -pkdm --noscripts
	$(overridden_command) --remaining-packages

pkgs_with_install_linux = $(patsubst debian/%.install.linux,%,$(wildcard debian/*.install.linux))
override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Also install common files in place of debian/*.install.linux variants
	dh_install $(foreach p,$(pkgs_with_install_linux),-p$p --ignore=debian/$p.install.linux)
endif
	if [ -d debian/kdm ]; then \
		install -p -D -m644 debian/kdm-np.pam debian/kdm/etc/pam.d/kdm-np && \
		install -p -D -m644 debian/kdm.insserv debian/kdm/etc/insserv.conf.d/kdm; \
	fi
